GNU bug report logs - #583
Use XDG basedir spec for configuration files?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: ferkiwi+a@HIDDEN; Forwarded to http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00637.html; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Set bug forwarded-to-address to 'http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00637.html'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 583 <at> debbugs.gnu.org:


Received: (at 583) by debbugs.gnu.org; 8 Dec 2012 19:31:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 14:31:47 2012
Received: from localhost ([127.0.0.1]:33199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ThQ7m-0000GX-Ob
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2012 14:31:47 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:54607)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1ThQ7k-0000GO-Bi
	for 583 <at> debbugs.gnu.org; Sat, 08 Dec 2012 14:31:45 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MEQ005008RU0000@HIDDEN> for
	583 <at> debbugs.gnu.org; Sat, 08 Dec 2012 21:31:17 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MEQ0041H8W464C0@HIDDEN>;
	Sat, 08 Dec 2012 21:31:17 +0200 (IST)
Date: Sat, 08 Dec 2012 21:31:02 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#583: XDG basedir specification
In-reply-to: <16704163-3CFA-4D1F-9228-346D19A352CD@HIDDEN>
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Message-id: <83pq2kcpe1.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <bff91cf40807202359t6e83d0e4qc1216b77f23d2333@HIDDEN>
	<50C33018.60302@HIDDEN>
	<16704163-3CFA-4D1F-9228-346D19A352CD@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 583
Cc: Heintzmann.Eric@HIDDEN, 583 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Jan Dj=E4rv <jan.h.d@HIDDEN>
> Date: Sat, 8 Dec 2012 20:06:34 +0100
> Cc: 583 <at> debbugs.gnu.org
>=20
> 8 dec 2012 kl. 13:18 skrev Eric Heintzmann <Heintzmann.Eric@HIDDEN=
>:
>=20
> > What is planned now about FreeDesktop XDG basedir specification f=
or Emacs?
> >=20
> >=20
> > http://ploum.net/post/207-modify-your-application-to-use-xdg-fold=
ers
> > https://live.gnome.org/GnomeGoals/XDGConfigFolders
> > http://standards.freedesktop.org/basedir-spec/latest/
>=20
> Hopefully nothing, as the free desktop specs in this area keeps cha=
nging and never reach a stable state.

I agree, FWIW.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#583; Package emacs. Full text available.

Message received at 583 <at> debbugs.gnu.org:


Received: (at 583) by debbugs.gnu.org; 8 Dec 2012 19:07:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 14:07:02 2012
Received: from localhost ([127.0.0.1]:33182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ThPjp-00088n-Mv
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2012 14:07:01 -0500
Received: from mailout.melmac.se ([62.20.26.67]:55228)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jan.h.d@HIDDEN>) id 1ThPjn-00088a-Mz
	for 583 <at> debbugs.gnu.org; Sat, 08 Dec 2012 14:07:00 -0500
Received: from mail01.melmac.se (mail01.melmac.se [62.20.26.80])
	by mailout.melmac.se (Postfix) with ESMTP id 7B0D6964C
	for <583 <at> debbugs.gnu.org>; Sat,  8 Dec 2012 20:06:33 +0100 (CET)
Received: (qmail 14090 invoked by uid 89); 8 Dec 2012 19:06:33 -0000
Received: from h-46-59-42-18.na.cust.bahnhof.se (HELO coolsville.localdomain)
	(boel.djarv@HIDDEN@46.59.42.18)
	by mail01.melmac.se with ESMTPA; 8 Dec 2012 19:06:33 -0000
Received: from [172.20.199.13] (zeplin [172.20.199.13])
	by coolsville.localdomain (Postfix) with ESMTPSA id 278857FA05E;
	Sat,  8 Dec 2012 20:06:33 +0100 (CET)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 6.2 \(1499\))
Subject: Re: bug#583: XDG basedir specification
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <50C33018.60302@HIDDEN>
Date: Sat, 8 Dec 2012 20:06:34 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <16704163-3CFA-4D1F-9228-346D19A352CD@HIDDEN>
References: <bff91cf40807202359t6e83d0e4qc1216b77f23d2333@HIDDEN>
	<50C33018.60302@HIDDEN>
To: Eric Heintzmann <Heintzmann.Eric@HIDDEN>
X-Mailer: Apple Mail (2.1499)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: 8 dec 2012 kl. 13:18 skrev Eric Heintzmann
	<Heintzmann.Eric@HIDDEN>:
	> What is planned now about FreeDesktop XDG basedir specification for
	Emacs? > > >
	http://ploum.net/post/207-modify-your-application-to-use-xdg-folders
	> https://live.gnome.org/GnomeGoals/XDGConfigFolders >
	http://standards.freedesktop.org/basedir-spec/latest/ [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4998]
X-Debbugs-Envelope-To: 583
Cc: 583 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  8 dec 2012 kl. 13:18 skrev Eric Heintzmann <Heintzmann.Eric@HIDDEN>:
    > What is planned now about FreeDesktop XDG basedir specification for Emacs?
    > > > http://ploum.net/post/207-modify-your-application-to-use-xdg-folders
    > https://live.gnome.org/GnomeGoals/XDGConfigFolders > http://standards.freedesktop.org/basedir-spec/latest/
    [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4123]


8 dec 2012 kl. 13:18 skrev Eric Heintzmann <Heintzmann.Eric@HIDDEN>:

> What is planned now about FreeDesktop XDG basedir specification for =
Emacs?
>=20
>=20
> http://ploum.net/post/207-modify-your-application-to-use-xdg-folders
> https://live.gnome.org/GnomeGoals/XDGConfigFolders
> http://standards.freedesktop.org/basedir-spec/latest/

Hopefully nothing, as the free desktop specs in this area keeps changing =
and never reach a stable state.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#583; Package emacs. Full text available.

Message received at 583 <at> debbugs.gnu.org:


Received: (at 583) by debbugs.gnu.org; 8 Dec 2012 18:49:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 13:49:53 2012
Received: from localhost ([127.0.0.1]:33171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ThPTC-0007kd-T4
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2012 13:49:53 -0500
Received: from smtp1-g21.free.fr ([212.27.42.1]:50152)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <Heintzmann.Eric@HIDDEN>) id 1ThJN1-0006E3-Bm
	for 583 <at> debbugs.gnu.org; Sat, 08 Dec 2012 07:19:06 -0500
Received: from [192.168.0.1] (unknown [78.226.144.120])
	by smtp1-g21.free.fr (Postfix) with ESMTP id 51BF9940172
	for <583 <at> debbugs.gnu.org>; Sat,  8 Dec 2012 13:18:34 +0100 (CET)
Message-ID: <50C33018.60302@HIDDEN>
Date: Sat, 08 Dec 2012 13:18:32 +0100
From: Eric Heintzmann <Heintzmann.Eric@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:17.0) Gecko/17.0 Thunderbird/17.0
MIME-Version: 1.0
To: 583 <at> debbugs.gnu.org
Subject: XDG basedir specification
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 583
X-Mailman-Approved-At: Sat, 08 Dec 2012 13:49:49 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

What is planned now about FreeDesktop XDG basedir specification for Emacs?


http://ploum.net/post/207-modify-your-application-to-use-xdg-folders
https://live.gnome.org/GnomeGoals/XDGConfigFolders
http://standards.freedesktop.org/basedir-spec/latest/





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#583; Package emacs. Full text available.
Severity set to `wishlist' from `normal' Request was from Chong Yidong <cyd@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-0.4 required=4.0 tests=BAYES_20,FOURLA,HTML_MESSAGE,
	RCVD_IN_DNSWL_LOW autolearn=no version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 21 Jul 2008 06:59:46 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m6L6xaM4001882
	for <submit@HIDDEN>; Sun, 20 Jul 2008 23:59:37 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1KKpMu-0003vR-DT
	for bug-gnu-emacs@HIDDEN; Mon, 21 Jul 2008 02:59:36 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1KKpMs-0003vF-Vf
	for bug-gnu-emacs@HIDDEN; Mon, 21 Jul 2008 02:59:35 -0400
Received: from [199.232.76.173] (port=60768 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1KKpMs-0003vC-Pz
	for bug-gnu-emacs@HIDDEN; Mon, 21 Jul 2008 02:59:34 -0400
Received: from mx20.gnu.org ([199.232.41.8]:60022)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <ferkiwi@HIDDEN>)
	id 1KKpMs-0006pD-5s
	for bug-gnu-emacs@HIDDEN; Mon, 21 Jul 2008 02:59:34 -0400
Received: from rv-out-0708.google.com ([209.85.198.248])
	by mx20.gnu.org with esmtp (Exim 4.60)
	(envelope-from <ferkiwi@HIDDEN>)
	id 1KKpMq-0000Ei-4m
	for bug-gnu-emacs@HIDDEN; Mon, 21 Jul 2008 02:59:32 -0400
Received: by rv-out-0708.google.com with SMTP id k29so1171026rvb.6
        for <bug-gnu-emacs@HIDDEN>; Sun, 20 Jul 2008 23:59:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:reply-to
         :to:subject:mime-version:content-type;
        bh=+RaPdjSa+CE4H6KMs3JSMRXMlD7EbFSi96a5Y7LE+2U=;
        b=vgC+lkaZDlMndSWPQ9oM+W4FAzv3OQ/WdHhdHU8V+A+8c0AlZGwb48OXHJswMkheBB
         R03uYbdLHiShLqK7hr6UfR7rgCU+5gnsAiuKzTtAZ86Xu7xt//9sVSa/nCGzKJZtrcXC
         njTIHmKCLcXQWAHBATC/ZngqzsxEXBLu9x9Kk=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:reply-to:to:subject:mime-version:content-type;
        b=PLNVK6jWxYuSBh+NvbdTf33Dqif18h7q9LDdK3V1Pf78SWU/c9ELNCPMjDQmOqdkSk
         BjJ24mz0jzOrvbX/UV4rOemwKdA9xtcjblBrpKBgUy6xXhA99aDwIO1LBszN3j+MDPb9
         us9DDoAyBf6xQf92mP+sA/aRZWz/9QDK/AHhM=
Received: by 10.141.132.8 with SMTP id j8mr1647031rvn.297.1216623570358;
        Sun, 20 Jul 2008 23:59:30 -0700 (PDT)
Received: by 10.141.204.12 with HTTP; Sun, 20 Jul 2008 23:59:30 -0700 (PDT)
Message-ID: <bff91cf40807202359t6e83d0e4qc1216b77f23d2333@HIDDEN>
Date: Mon, 21 Jul 2008 08:59:30 +0200
From: Fernando <ferkiwi@HIDDEN>
Reply-To: ferkiwi+a@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Use XDG basedir spec for configuration files?
MIME-Version: 1.0
Content-Type: multipart/alternative; 
	boundary="----=_Part_66254_24778329.1216623570281"
X-detected-kernel: by mx20.gnu.org: Linux 2.6 (newer, 2)
X-detected-kernel: by monty-python.gnu.org: Linux 2.6, seldom 2.4 (older, 4)

------=_Part_66254_24778329.1216623570281
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

The XDG Base Directory
Specification<http://standards.freedesktop.org/basedir-spec/>provides
some common paths in user's home to store personal application
configurations, or, using their own words "*defines where these files should
be looked for by defining one or more base directories relative to which
files should be located*".

XDG Base Directory Specification allows efficient backup, in which you can
easily choose to backup your data and/or your configuration files for
instance. An application could easily propose such backup for the whole
system if all applications were matching these specification.

Therefore, although I think that this bug/enhancement is not vital, it would
be great for Emacs to be "FreeDesktop XDG Base Directory Specification"
compliant.

Currently Emacs is using "$HOME/.emacs.d/". This is what XDG basedir spec
defines:

   - $XDG_DATA_HOME (usually $HOME/.local/share/) as "*the base directory
   relative to which user specific data files should be stored*"
   - $XDG_CONFIG_HOME (usually $HOME/.config/) as "*the base directory
   relative to which user specific configuration files should be stored*"
   - $XDG_CACHE_HOME (usually $HOME/.cache/) as "*the base directory
   relative to which user specific non-essential data files should be stored
   *"

(http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html)

In order to make Emacs XDG basedir compliant, I think that it would be nice
to use:

   - $XDG_CONFIG_HOME/emacs  ;;for "init.el" and storing customize
   configuration


   - $XDG_DATA_HOME/emacs  ;;for sessions and backups


   - $XDG_CACHE_HOME/emacs  ;;for cache files

Or maybe some other distribution. What do you think about it?

There's a small C library that may be useful check it out, written for the
sole purpose of xdg basedir spec compliance:
https://n.ethz.ch/student/nevillm/download/libxdg-basedir/

------=_Part_66254_24778329.1216623570281
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

<div dir="ltr"><p>
<font size="2"><span style="font-family: arial,sans-serif;">The </span><a style="font-family: arial,sans-serif;" href="http://standards.freedesktop.org/basedir-spec/" target="_blank"><span>XDG Base Directory Specification</span></a><span style="font-family: arial,sans-serif;"> provides some common paths in user&#39;s home to store personal application configurations, or, using their own words &quot;</span><i style="font-family: arial,sans-serif;">defines
where these files should be looked for by defining one or more base
directories relative to which files should be located</i><span style="font-family: arial,sans-serif;">&quot;. </span><br style="font-family: arial,sans-serif;"></font></p><p style="font-family: arial,sans-serif;"><font size="2">
XDG Base Directory Specification allows efficient backup, in which you
can easily choose to backup your data and/or your configuration files
for instance. An application could easily propose such backup for the whole system if all applications were matching these specification.
</font></p>

<p style="font-family: arial,sans-serif;"><font size="2">
Therefore, although I think that this bug/enhancement is not vital, it
would be great for Emacs to be &quot;FreeDesktop XDG Base Directory
Specification&quot; compliant.&nbsp;</font></p>

<p style="font-family: arial,sans-serif;"><font size="2">Currently Emacs is using &quot;$HOME/.emacs.d/&quot;. This is what XDG basedir spec defines:
</font></p>
<ul style="font-family: arial,sans-serif;"><li><font size="2">$XDG_DATA_HOME (usually $HOME/.local/share/) as &quot;<i>the base directory relative to which user specific data files should be stored</i>&quot; 
</font></li><li><font size="2">$XDG_CONFIG_HOME (usually $HOME/.config/) as &quot;<i>the base directory relative to which user specific configuration files should be stored</i>&quot;
</font></li><li><font size="2">$XDG_CACHE_HOME (usually $HOME/.cache/) as &quot;<i>the base directory relative to which user specific non-essential data files should be stored</i>&quot;</font></li></ul><p style="font-family: arial,sans-serif;">
<font size="2">(<a href="http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html">http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html</a>)<br></font></p><p style="font-family: arial,sans-serif;">
<font size="2">
In order to make Emacs XDG basedir compliant, I think that it would
be nice to use:</font></p><ul><li><font size="2">$XDG_CONFIG_HOME/emacs&nbsp; ;;for &quot;init.el&quot; and storing customize configuration</font></li></ul><ul><li><font size="2">$XDG_DATA_HOME/emacs&nbsp; ;;for sessions and backups<br>
</font></li></ul><ul><li><font size="2">$XDG_CACHE_HOME/emacs&nbsp; ;;for cache files <br></font></li></ul><p style="font-family: arial,sans-serif;">Or maybe some other distribution. What do you think about it?<br></p><font size="2"><br>
</font><font size="2">There&#39;s a small C library that may be useful check it out, written for the sole purpose of xdg basedir spec compliance: <a href="https://n.ethz.ch/student/nevillm/download/libxdg-basedir/" target="_blank">https://n.ethz.ch/student/nevillm/download/libxdg-basedir/</a><br>

</font></div>

------=_Part_66254_24778329.1216623570281--





Acknowledgement sent to ferkiwi+a@HIDDEN:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#583; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.